//	ＡＩＧライブラリ　エラーメッセージ系関数
//		Copyright (C) 1995 by AIG-SOFT

#ifndef	__AIG_ERR__
#define	__AIG_ERR__	1

#include "deftype.h"

// エラー登録構造体
typedef struct {
	unsint	eno;	// エラーコード
	unchar	*mes;	// エラーメッセージ
} ERRMES;
// ERRMESの配列のことをエラー登録テーブルという

// エラーリンク構造体
struct	erlnk {
	ERRMES	*tbl;	// エラー登録テーブル
struct	erlnk	*next;	// 次の構造体へのポインタ：NULLなら次はなし
};
typedef struct erlnk ERLINK;


#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif

#ifdef	__PROTO_TYPE
	unchar	*ErrorSearch(ERRMES *,int );
	void	SetErrLink(ERLINK *,ERLINK *);
	unchar	*LinkErrorSearch(ERLINK *,int );
#else
	unchar	*ErrorSearch();
	void	SetErrLink();
	unchar	*LinkErrorSearch();
#endif
#ifdef	__cplusplus
}
#endif

#endif
